﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;


<table cellpadding="0" cellspacing="0" width="100%">
    <tr>
        <td align="left">
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td>
                        @Html.DevExpress().Label(
                                label =>
                                {
                                    label.ControlStyle.CssClass = "Label";
                                    label.Text = "PR Type";
                                    label.Style.Add("padding-right", "10px");
                                }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().ComboBox(
                                    settings =>
                                    {
                                        settings.Name = "PRType";
                                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                        settings.Width = 133;
                                    }
                                ).GetHtml()
                    </td>
                    <td style="width:20px"></td> @* column spacing *@

                    <td>
                        @Html.DevExpress().Label(
                                label =>
                                {
                                    label.ControlStyle.CssClass = "Label";
                                    label.Text = "PR Date";
                                    label.Style.Add("padding-right", "10px");
                                }).GetHtml()
                    </td>
                    <td>
                         @Html.DevExpress().DateEdit(
                            dateEdit =>
                            {
                                dateEdit.Name = "PRDateFrom";
                                dateEdit.Width = Unit.Pixel(110);
                                dateEdit.Properties.EditFormat = EditFormat.Custom;
                                dateEdit.Properties.DisplayFormatString = "dd.MM.yyyy";
                                dateEdit.Properties.EditFormatString = "dd.MM.yyyy";
                                dateEdit.Date = DateTime.Now.AddDays(-1);

                                dateEdit.Style.Add("display", "inline-table");
                            }).GetHtml()
                    </td>
                    <td style="width:5px"></td> @* column spacing *@
                    <td> - </td>
                    <td style="width:5px"></td> @* column spacing *@

                    <td>
                         @Html.DevExpress().DateEdit(
                            dateEdit =>
                            {
                                dateEdit.Name = "PRDateTo";
                                dateEdit.Width = Unit.Pixel(110);
                                dateEdit.Properties.EditFormat = EditFormat.Custom;
                                dateEdit.Properties.DisplayFormatString = "dd.MM.yyyy";
                                dateEdit.Properties.EditFormatString = "dd.MM.yyyy";
                                dateEdit.Date = DateTime.Now.AddDays(-1);

                                dateEdit.Style.Add("display", "inline-table");
                            }).GetHtml()
                    </td>

                    <td style="width:20px"></td> @* column spacing *@

                     <td>
                        @Html.DevExpress().Label(
                                label =>
                                {
                                    label.ControlStyle.CssClass = "Label";
                                    label.Text = "Status";
                                    label.Style.Add("padding-right", "10px");
                                }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().ComboBox(
                                    settings =>
                                    {
                                        settings.Name = "Status";
                                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                        settings.Width = 133;
                                    }
                                ).GetHtml()
                    </td>
                    <td style="width:20px"></td> @* column spacing *@


                    <td>
                        @Html.DevExpress().Button(
                                button =>
                                {
                                    button.Name = "btnSearch";
                                    button.Text = "Search";
                                    button.Width = Unit.Pixel(80);
                                    button.Style.Add("display", "inline-table");
                                    //button.ClientSideEvents.Click = "ClearGrid";
                                }).GetHtml()
                         @Html.DevExpress().Button(
                                button =>
                                {
                                    button.Name = "btnClear";
                                    button.Text = "Clear";
                                    button.Width = Unit.Pixel(80);
                                    button.Style.Add("display", "inline-table");
                                    //button.ClientSideEvents.Click = "ClearGrid";
                                }).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
      </tr>

      <tr>
        <td>
        <p></p>
            <table cellpadding="0" cellspacing="0"  align="left"  border="0">
                <tr style="padding-top:13px;">
                    <td >
                         @Html.DevExpress().Button(
                                button =>
                                {
                                    button.Name = "btnRelease";
                                    button.Text = "Release Approval";
                                    button.Width = Unit.Pixel(120);
                                    button.Style.Add("display", "inline-table");
                                    //button.ClientSideEvents.Click = "ClearGrid";
                                }).GetHtml()
                    </td>

                    <td style="width:5px"></td> @* column spacing *@
                    <td>
                         @Html.DevExpress().Button(
                                button =>
                                {
                                    button.Name = "btnReject";
                                    button.Text = "Reject";
                                    button.Width = Unit.Pixel(80);
                                    button.Style.Add("display", "inline-table");
                                    //button.ClientSideEvents.Click = "ClearGrid";
                                }).GetHtml()
                    
                    </td>

                   <td style="width:20px"></td> @* column spacing *@

                   <td>
                         @Html.DevExpress().Button(
                                button =>
                                {
                                    button.Name = "btnDownload";
                                    button.Text = "Download";
                                    button.Width = Unit.Pixel(80);
                                    button.Style.Add("display", "inline-table");
                                    //button.ClientSideEvents.Click = "ClearGrid";
                                }).GetHtml()
                   
                   </td>


                </tr>
        
            </table>
        </td>
      </tr>
</table>
